export const SearchFormBuyOrder = [
  {
    type: "input",
    label: "订单编号",
    field: "id", 
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "审核状态",
    field: "moderationStatus",
    options: [], // 默认空，后面会通过字典加载
    dict: "orderType",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "input",
    label: "客户名称",
    field: "userName", 
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "沉默期",
    field: "periodOfSilence",
    options: [], // 默认空，后面会通过字典加载
    dict: "silenceOf",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "卡类型",
    field: "simType",
    options: [], // 默认空，后面会通过字典加载
    dict: "cardType",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "运营商名称",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "下单时间",
    field: "createdAt",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "有效期",
    field: "endData",
    value: "", // 双向绑定的值
    width: "200",
  },
];

// 购卡订单
export const BuyOrdercolumns = [
  { title:  window.$t('order.SerialNumber'), dataIndex: 'index', align: 'center', ellipsis: true },
  { title:  window.$t('order.OrderNum'), slotName: 'id', align: 'center', ellipsis: true },
  { title:  window.$t('order.AuditStatus'), slotName: 'statusType', align: 'center', ellipsis: true },
  { title:  window.$t('order.LogisticsStatus'), slotName: 'LogisticsStatus', align: 'center', ellipsis: true },
  { title:  window.$t('lotCard.userName'), dataIndex: 'userName', align: 'center', ellipsis: true },
  { title:  window.$t('order.NumberCardsPurchased'), dataIndex: 'quantity', align: 'center', ellipsis: true },
  { title:  window.$t('order.SilentPeriod') + ( window.$t('lotCard.month')), dataIndex: 'periodOfSilence', align: 'center', ellipsis: true },
  { title:  window.$t('order.CardType'), dataIndex: 'cardType', align: 'center', ellipsis: true },
  { title:  window.$t('order.CarrierName'), dataIndex: 'sourceName', align: 'center', ellipsis: true },
  { title:  '套餐计划名称', dataIndex: 'terminalName', align: 'center', ellipsis: true },
  { title:  '套餐计划类型', dataIndex: 'type', align: 'center', ellipsis: true },
  { title:  window.$t('order.PurchaseAmount'), dataIndex: 'amount', align: 'center', ellipsis: true },
  { title:  window.$t('order.ContractPhoto'), slotName: 'image', align: 'center', ellipsis: true },
  { title:  window.$t('order.OrderTime'), dataIndex: 'createdAt', align: 'center', ellipsis: true },
  { title:  window.$t('lotCard.validity'), dataIndex: 'endDate', align: 'center', ellipsis: true },
  { title: '备注', dataIndex: 'moderationNotes', align: 'center', ellipsis: true },
  { title:  window.$t('lotCard.Controls'), slotName: 'operate', align: 'center', ellipsis: true ,fixed: 'right',},
];

// 退卡订单
export const Returncolumns = [
  { title:  window.$t('order.SerialNumber'), dataIndex: 'index', align: 'center', ellipsis: true },
  { title:  window.$t('order.OrderNum'), slotName: 'id', align: 'center', ellipsis: true },
  { title:  window.$t('order.AuditStatus'), slotName: 'statusType', align: 'center', ellipsis: true },
  { title:  window.$t('order.LogisticsStatus'), slotName: 'LogisticsStatus', align: 'center', ellipsis: true },
  { title:  window.$t('lotCard.userName'), dataIndex: 'userName', align: 'center', ellipsis: true },
  { title:  window.$t('order.NumberCardsPurchased'), dataIndex: 'quantity', align: 'center', ellipsis: true },
  { title:  window.$t('order.SilentPeriod') + ( window.$t('lotCard.month')), dataIndex: 'periodOfSilence', align: 'center', ellipsis: true },
  { title:  window.$t('order.CardType'), dataIndex: 'cardType', align: 'center', ellipsis: true },
  { title:  window.$t('order.CarrierName'), dataIndex: 'sourceName', align: 'center', ellipsis: true },
  { title:  window.$t('order.tariff'), dataIndex: 'trafficName', align: 'center', ellipsis: true },
  { title:  window.$t('order.PurchaseAmount'), dataIndex: 'amount', align: 'center', ellipsis: true },
  { title:  window.$t('order.ContractPhoto'), slotName: 'image', align: 'center', ellipsis: true },
  { title:  window.$t('order.OrderTime'), dataIndex: 'createdAt', align: 'center', ellipsis: true },
  { title:  window.$t('lotCard.validity'), dataIndex: 'endDate', align: 'center', ellipsis: true },
  { title: '备注', dataIndex: 'moderationNotes', align: 'center', ellipsis: true },
  { title:  window.$t('lotCard.Controls'), slotName: 'operate', align: 'center', ellipsis: true, fixed: 'right', }
];

// 变更订单
export const ChangeOrdercolumns = [
  { title:  window.$t('order.SerialNumber'), dataIndex: 'index', align: 'center', ellipsis: true },
  { title:  window.$t('order.OrderNum'), slotName: 'id', align: 'center', ellipsis: true },
  { title:  window.$t('order.AuditStatus'), slotName: 'statusType', align: 'center', ellipsis: true },
  { title:  window.$t('order.LogisticsStatus'), slotName: 'LogisticsStatus', align: 'center', ellipsis: true },
  { title:  window.$t('lotCard.userName'), dataIndex: 'userName', align: 'center', ellipsis: true },
  { title:  window.$t('order.NumberCardsPurchased'), dataIndex: 'quantity', align: 'center', ellipsis: true },
  { title:  window.$t('order.SilentPeriod') + ( window.$t('lotCard.month')), dataIndex: 'periodOfSilence', align: 'center', ellipsis: true },
  { title:  window.$t('order.CardType'), dataIndex: 'cardType', align: 'center', ellipsis: true },
  { title:  window.$t('order.CarrierName'), dataIndex: 'sourceName', align: 'center', ellipsis: true },
  { title:  window.$t('order.tariff'), dataIndex: 'trafficName', align: 'center', ellipsis: true },
  { title:  window.$t('order.PurchaseAmount'), dataIndex: 'amount', align: 'center', ellipsis: true },
  { title:  window.$t('order.ContractPhoto'), slotName: 'image', align: 'center', ellipsis: true },
  { title:  window.$t('order.OrderTime'), dataIndex: 'createdAt', align: 'center', ellipsis: true },
  { title:  window.$t('lotCard.validity'), dataIndex: 'endDate', align: 'center', ellipsis: true },
  { title: '备注', dataIndex: 'moderationNotes', align: 'center', ellipsis: true },
  { title:  window.$t('lotCard.Controls'), slotName: 'operate', align: 'center', ellipsis: true, fixed: 'right', },
];